#248 Personal Java Compatability Problem

open
nobody
General (151)
5
2005-12-07
2005-12-07
Anonymous
No

The core interpreter package does not run on a
Personal Java (Java 1.1) system. bsh.Reflection class
contains a call to Vector.add() which should instead
be Vector.addElement()

The jvm I used when I encountered this error was
Jeode for the Pocket PC. The error also occurs on the
personal java emulation environment (pjee) from sun
which runs on a standard PC.

I would very much like to be able to use bsh on a
Java 1.1 system, and if all the problems are like the
one above I'm sure it won't take long to fix.

Thanks,

Christopher James Plant
(mulletwarriorextreem@hotmail.com)

Discussion

  • Logged In: NO

    P.S. If you want help fixing it I would be more than
    willing to help out

    Chris.

     
  • Logged In: NO

    P.S. If you want help fixing it I would be more than
    willing to help out

    Chris.

     
  • Logged In: NO

    Is beanshell dead?